curl --request GET \
--url https://prod.truv.com/v1/users/{user_id}/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/users/{user_id}/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/users/{user_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"external_user_id": "12345",
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+14155554193",
"ssn": "*****3333",
"links": [
{
"id": "48427a36d43c4d5aa6324bc06c692456",
"access_token": "****************************7610",
"created_at": "2022-06-07T15:00:00Z",
"updated_at": "2022-06-30T15:00:00Z",
"deleted_at": "2022-06-30T15:00:00Z",
"tracking_info": "user123456",
"status": "new",
"user_external_id": "user123456",
"provider_id": "adp",
"provider": {
"id": "adp",
"name": "ADP",
"logo_url": "<string>"
},
"company_mapping": {
"id": "meta",
"name": "Meta",
"logo_url": "<string>"
},
"link_hash": "bc917458a3da4b2c8cc8282aa1707aaa",
"allowed_products": [
"income"
],
"initial_product_type": "income",
"data_source": "payroll",
"is_suspicious": true,
"is_dds_available": true
}
],
"voie_report_id": "b19c454a98594b4084b71e3b62873d29",
"voa_report_id": "b19c454a98594b4084b71e3b62873d29",
"income_insights_report_id": "b19c454a98594b4084b71e3b62873d29",
"aim_check_report_id": "FM-1234-39aa1486ccca4bc19cda071ffc1ba392"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}{
"detail": "Not Found."
}Retrieve a user
This endpoint retrieves a user.
Authorizations
Client ID
Client Access Key
Path Parameters
Query Parameters
When set to true, adds the payload from the account links endpoint.
Response
Unique identifier of the user.
32"24d7e80942ce4ad58a93f70ce4115f5c"
External user id.
512"12345"
Timestamp when the user was created.
"2022-05-04T11:30:00Z"
Timestamp when the user was updated last time.
"2022-05-04T12:00:00Z"
First name of the user.
128"John"
Last name of the user.
128"Doe"
User's email.
254"john.doe@example.com"
User's phone number in E.164 format (+ followed by the country code and number).
16"+14155554193"
User's SSN, masked. Only the last 4 digits are visible — the leading digits are replaced with * (for example *****3333). When only the last 4 digits are on file, the value is fully masked (****).
"*****3333"
List of account Links associated with the user.
Show child attributes
Show child attributes
GSE accepted income and employment verification report ID
32"b19c454a98594b4084b71e3b62873d29"
Verification of Assets report ID
32"b19c454a98594b4084b71e3b62873d29"
Income insights report ID
32"b19c454a98594b4084b71e3b62873d29"
AIM check report ID
64"FM-1234-39aa1486ccca4bc19cda071ffc1ba392"
Was this page helpful?